summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ruby/loofah/Manifest1
-rw-r--r--dev-ruby/loofah/loofah-2.7.0.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/loofah/Manifest b/dev-ruby/loofah/Manifest
index b8c77267dd7..b1ae236bb51 100644
--- a/dev-ruby/loofah/Manifest
+++ b/dev-ruby/loofah/Manifest
@@ -1,3 +1,4 @@
DIST loofah-2.4.0.gem 68096 BLAKE2B 7bffd489c6234b3afeebafad5029802aa0370ded269de018517e914c4c2ec151936e899c633e157045f93dce3e0d829e9821a3ab42447f71ca679f1bd3965423 SHA512 95bea374c0cf9e49becd4533c141a6ebb388f4ae0a1c27263612d3a4089177fd97956e4fbe7a8c8a8b17d8d69387e4629cf7c004f17008fb592f6b71297ed22a
DIST loofah-2.5.0.tar.gz 68497 BLAKE2B a4e13bb4b7e5b76b9cc753031617110c61db8b7f13c2dc7f0f9423a1ff106e45e79f62b80f595a3e1e2958de9ed717e718b5d58e57a32d4baaa2d8355713580e SHA512 77d84a26f93605bf231e893dd7b010013d97077ceed44ae16164210f029a044e36d5bcacebffbbefdd8fe371e7ab0aa322bc48565c2ccaed1e8a386385176301
DIST loofah-2.6.0.tar.gz 68970 BLAKE2B 507e907e9c744734594dbb0aefdfb76f57f57ccb9fde6c52b15b56289d6cbeb8c1a7bc0fff0259d22204c45f55b06a360cb56e8c8731736a0d70ef079e006cbb SHA512 6c3948844b5f66f14a86049fa0527967a120df9a51661bab88449f0a60093493b5b948901b7227995747d253d915ca0176f708b126000036ca3396b794cd49db
+DIST loofah-2.7.0.tar.gz 69272 BLAKE2B 1578cba4b4b12fb35a1095060af8d764ec55d3745a44cf756f1de5bf43bc0bde37276372e7aa53a3a26c2c83a8c3da417140d3addb102cc0429f7d47b8c01806 SHA512 698f7976e6048615643d8875aa4dc09c4bd261234bdc9908589edc08be9073a83f84f04fff7e32b518712d63cefe2611895543733967a8b8de12e6cecdb902c9
diff --git a/dev-ruby/loofah/loofah-2.7.0.ebuild b/dev-ruby/loofah/loofah-2.7.0.ebuild
new file mode 100644
index 00000000000..000b13cda4d
--- /dev/null
+++ b/dev-ruby/loofah/loofah-2.7.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="loofah.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for manipulating and transforming HTML/XML documents and fragments."
+HOMEPAGE="https://github.com/flavorjones/loofah"
+SRC_URI="https://github.com/flavorjones/loofah/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/crass-1.0* >=dev-ruby/crass-1.0.2 >=dev-ruby/nokogiri-1.5.9"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rr-1.1.0 )"
+
+all_ruby_prepare() {
+ # Fix version in gemspec
+ sed -i -e '/s\.version/ s/".*"/"'${PV}'"/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid unneeded development dependencies
+ sed -i -e '/concourse/I s:^:#:' Rakefile || die
+
+ # Avoid test failing on different whitespace.
+ sed -i -e '/test_fragment_whitewash_on_microsofty_markup/askip "gentoo"' test/integration/test_ad_hoc.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}